Ticket #2032 (closed enhancement: fixed)

Opened 9 years ago

Last modified 8 years ago

ランクアップメール受信設定機能

Reported by: pnetan Assigned to: shingo
Priority: minor Milestone: OpenPNE2.13.5
Component: pne-ktai Version: 2.14.x
Keywords: Cc:

Description (Last modified by kudo)

■現象

携帯にランクアップメールが来ない

■原因

comment:4に記載(仕様)

■修正内容

PC、携帯でランクアップメールを受け取るか設定できるように修正。

又、設定を行ってない場合は従来通りPCアドレスがあればPCへ、なければ携帯アドレスへ送信するようにしました。

この修正で利用者がランクアップメールの受信設定を自身で行うことができるようになりました。

■関連情報

  • このチケットは2.10系ではDB変更が発生する為、対応できません。

元のDescription

http://sns.openpne.jp/?m=pc&a=page_fh_diary&target_c_diary_id=15712 より転記

携帯にランクアップメールが来ない…

Attachments

20081127_pc_page_h_config.png (6.8 kB) - added by kiwa on 11/27/08 20:25:32.

Change History

03/12/08 14:24:55 changed by kiwa

  • priority changed from minor to major.

03/13/08 20:54:51 changed by kiwa

  • keywords deleted.
  • priority changed from major to minor.

再現できました

■再現バージョン

  • 2.8.x
  • 2.10.x
  • 2.11.x

■再現手順

  1. ランクアップするアクションを行う
  2. PCにランクアップメールが届く
  3. 携帯にはランクアップメールが届かない

03/14/08 12:18:24 changed by kiwa

  • keywords set to OpenPNE2.8.10 OpenPNE2.11.5.
  • milestone set to OpenPNE2.10.5.

03/17/08 15:13:13 changed by ebihara

  • keywords deleted.
  • milestone deleted.

これは仕様です。

PC版と携帯版の両方を利用しているメンバーがランクアップした場合は、PCメールアドレスのみにランクアップメールを送信します。

本来であればほかのメールとあわせて両方送信するようにするべきではありますが、現状はメンバーがランクアップメールの受信設定をおこなうことができないため、ただ単に両方送るようにするという対策を施すのは不適切です。

  • メンバーがランクアップメールの受信設定をおこなえるようにする
  • 受信設定を見てランクアップメールの送信をおこなうようにする

という変更が必要かと思われます。

今回のリリースで対処をおこなうのは難しいので、リリース項目からは外します。

05/15/08 18:09:39 changed by ogawa

  • version changed from 2.8.x & 2.10.x & 2.11.x to 2.10.x & 2.12.x & 2.13.x.

10/28/08 17:25:26 changed by ebihara

  • keywords set to OpenPNE2.10.12 OpenPNE2.13.4.
  • milestone set to OpenPNE2.12.6.

10/29/08 18:16:10 changed by kiwa

  • keywords changed from OpenPNE2.10.12 OpenPNE2.13.4 to OpenPNE2.10.12 OpenPNE2.13.5.

11/07/08 15:56:08 changed by akamine

対応します。

11/07/08 15:56:13 changed by akamine

  • owner changed from nobody to akamine.
  • status changed from new to assigned.

11/11/08 04:49:15 changed by akamine

  • description changed.

以下のリビジョンを修正しました。

11/11/08 11:27:25 changed by akamine

以下のリビジョンを更に修正しました。

11/11/08 11:31:06 changed by akamine

  • keywords changed from OpenPNE2.10.12 OpenPNE2.13.5 to OpenPNE2.13.5 確認中.
  • description changed.

11/11/08 12:51:05 changed by akamine

  • keywords changed from OpenPNE2.13.5 確認中 to OpenPNE2.13.5.

11/11/08 13:12:01 changed by akamine

  • keywords changed from OpenPNE2.13.5 to OpenPNE2.13.5 確認中.

11/11/08 13:36:52 changed by akamine

以下のリビジョンを更に修正しました。

11/13/08 11:20:09 changed by ebihara

  • keywords changed from OpenPNE2.13.5 確認中 to OpenPNE2.13.5 差し戻し.
  • 現在の Description に以下の記述がありますが、
    今回の対応は2.10系では困難な為、対応を外しております。 
    

という理由で対応しないとするのはどうかと思います。

  • この変更では、PCの場合は設定値に関わらず常にメールが送信されてしまいます
  • 以下が PEAR 標準コーディング規約に準拠していません
    • webapp/lib/util/mail_send.php
         829     if ($target_c_member_config['SEND_RANK_UP_MAIL_PC']){
      
         832     if ($target_c_member_config['SEND_RANK_UP_MAIL_KTAI']){
      
         836     if ($is_pc){
      
         848     if ($is_ktai){
      
  • webapp/lib/util/mail_send.php 内の以下のインデントが適切ではありません。
       824         $is_ktai = true;
    
  • webapp_biz/modules/biz/lib/mysql_functions.php 内の以下のインデントが適切ではありません。
       1422     return ($result_ktai && $result_pc);
    

11/14/08 01:30:44 changed by akamine

  • keywords changed from OpenPNE2.13.5 差し戻し to OpenPNE2.13.5 確認中.
  • description changed.

以下のリビジョンを更に修正しました。 (webapp_biz/modules/biz/lib/mysql_functions.php 内の以下のインデントが適切ではありません。

に関しては#2151で編集したのでそちらで修正します)

11/18/08 20:15:57 changed by kiwa

  • keywords changed from OpenPNE2.13.5 確認中 to OpenPNE2.13.5 差し戻し.

ランクアップメールの受信設定の追加は、便利ですけど修正の範囲を超えて機能追加になっている気がします。これを安定版に取り込むのはちょっと不安です。入れるとしたら、以下のような対応にできないでしょうか。

  • 安定版 - 単純にPCアドレスの登録がない場合に携帯版へランクアップメールを飛ばすようにし、管理画面のメール送信設定・メール文言設定に携帯版ランクアップメールを追加する
  • 開発版 - 別にenhancementチケットを作成して、安定版の修正に加えてPC・携帯のランクアップメール受信設定の変更も取り込む

11/19/08 15:52:41 changed by kiwa

開発版2.13.5で先行対応して、問題なければ安定版にも入れましょう。

akamineさん

2.10.x, 2.12.xの変更を取り消してください

変更後のコードチェックを担当する方へ

安定版の変更取り消し後のコードを確認した後、問題がないようであれば以下の変更をお願いします。

  • typeを「enhancement」にする
  • Milestoneを「OpenPNE2.13.5」にする
  • keywordsに入っているバージョンを取り消し、「確認中」や「テスト待ち」のみにする
    • 開発版のコードチェックを行ったか行ってないかで適当なものに変えてください

11/19/08 16:29:39 changed by akamine

  • keywords changed from OpenPNE2.13.5 差し戻し to OpenPNE2.13.5 確認中.

comment:19

の為開発版の修正を取り消しました。

11/19/08 16:31:20 changed by akamine

comment:20

のコメントは間違いです。正しくは安定版の修正を取り消しました。

11/19/08 16:34:01 changed by akamine

訂正です。 * 2.12.x - r9256

11/20/08 21:06:11 changed by shingo

  • keywords changed from OpenPNE2.13.5 確認中 to 確認中.
  • version changed from 2.10.x & 2.12.x & 2.13.x to 2.13.x.
  • type changed from defect to enhancement.
  • milestone changed from OpenPNE2.12.6 to OpenPNE2.13.5.
  • 2.12.x の変更取り消しを確認しました
  • comment:19 に挙げられた事項を行いました。

11/27/08 11:17:06 changed by shingo

  • keywords changed from 確認中 to 差し戻し.
  • 以下の関数について
    webapp/lib/db/point.php:db_rank_up_pcktai_config()
    
    • 変数名がわかりづらい
    • SQL文を適切な表現に修正してください
    • 返り値がint一つなので「db_get_all()」を使う必要が無い

11/27/08 11:18:26 changed by shingo

  • 「//」で始めるコメントアウトは「//」の後に空白を入れるようです。

(follow-up: ↓ 27 ) 11/27/08 13:00:45 changed by akamine

  • keywords changed from 差し戻し to 確認中.

以下のリビジョンで関数名db_rank_up_pcktai_configを内容、関数名共修正し、プレフィックスも修正しておきました。

(in reply to: ↑ 26 ) 11/27/08 13:26:23 changed by shingo

  • keywords changed from 確認中 to 差し戻し.

comment:26 の修正について

  • 関数db_point_rank_up_pcktai_mail_setting()の関数名について
    • db_point_is_set_rank_up_pcktai_mail_config()とかどうでしょう?


  • SQL文について、以下の点を修正してください
    • 文字列連結演算子の位置
    • where句を以下のようにすればわかりやすいのでは?
      $sql = 'SELECT COUNT(*) FROM c_member_config'
           . ' WHERE c_member_id = ?'
           . ' AND (name = "SEND_RANK_UP_MAIL_KTAI" OR name = "SEND_RANK_UP_MAIL_PCi")';
      

11/27/08 13:27:32 changed by shingo

  • 以下の関数について
    webapp/lib/util/mail_send.php:send_mail_pcktai_rank_up()
    
    • 「$send_mail_config」という変数名がわかりづらい
    • 変数「$target_c_member_config」:変数名になぜ「target~」をつけたのかがわからない
    • 「$is_pc」・「$is_ktai」という変数名がわかりづらい
    • 838行目の空行はなぜあるのかわからない

11/27/08 14:09:10 changed by akamine

  • keywords changed from 差し戻し to 確認中.

以下のリビジョンでpage_h_configのUIを修正しました。

又以下のリビジョンでdb_point_rank_up_pcktai_mail_settingの関数名と記述、send_mail_pcktai_rank_upの記述を修正しました。

11/27/08 16:42:37 changed by shingo

  • keywords changed from 確認中 to 差し戻し.
  • 以下の注意書きを「携帯使用不可」時には表示しないように修正してください。(ついでに「メール受信設定」の項目も修正願います)
    ※携帯アドレスへのランクアップメールの送信は携帯の設定変更より行えます。
    
  • 「PCアドレス」という表現は他では使われていないようです
  • タイトル「ランクアップメールの設定」を統一してください(PC・携帯版も考慮)
  • webapp/modules/pc/templates/h_config.tpl
    • 160行:「checked=」の前に空白が無い・({/if})の前の空白はifの後ろにくるべき(bizも同様)
  • modules/ktai/templates/h_home.tpl
    • 表示位置をメールに関するものはまとめて表示するようにしたほうが良い(bizも同様)
  • webapp/modules/ktai/templates/h_member_config_rank_up_mail.tpl
    • PC版には「※携帯アドレスへのランクアップメールの送信は携帯の設定変更より行えます。」という注意書きがありましたがけ、携帯版ではいらないのでしょうか?

11/27/08 17:12:07 changed by kiwa

  • summary changed from 携帯にランクアップメールが来ない to ランクアップメール受信設定機能.

Summaryを変更しました

11/27/08 17:39:32 changed by akamine

  • keywords changed from 差し戻し to 確認中.

以下のリビジョンで修正を行いました

  • r9401 do_h_config_3の記述の修正と関数名db_point_rank_up_pcktai_mail_configを再度修正しました
  • r9402 h_config.tplのUIを修正しました
  • r9403 ランクアップメールの設定のタイトルをPC,携帯とも「ランクアップメールの設定」で統一しました
  • r9404 携帯版のランクアップメール設定画面にPCアドレスへの受信についての注意書きを追加しました
  • r9405 BIZモードにランクアップメールの修正を反映させました

11/27/08 19:11:24 changed by akamine

以下のリビジョンで修正を行いました

  • r9407 do_h_config_3の記述を変更し、そのvalidateファイルも修正しましたdb_point_rank_up_pcktai_mail_configを再度修正しました
  • r9408 PCのh_configのランクアップメールのラジオボタンのチェック方法を修正しました
  • r9409 ランクアップメールのタイトルを「ランクアップメール受信設定」に統一し、携帯のh_config.tplのUIを携帯のh_config_mail_receiveに沿うように修正しました
  • r9410 BIZモードに上記の修正を反映させました

11/27/08 19:30:44 changed by shingo

  • owner changed from akamine to shingo.
  • status changed from assigned to new.

引き継ぎます。

11/27/08 19:46:20 changed by shingo

  • keywords changed from 確認中 to 差し戻し.

11/27/08 20:25:32 changed by kiwa

  • attachment 20081127_pc_page_h_config.png added.

11/27/08 20:28:03 changed by kiwa

PC版ランクアップメール受信設定について

  1. 「ポイント・ランク使用設定」「管理者ポイント加算・表示設定」の設定を考慮してください
  2. メンバー画面のメール受信設定の選択項目は「受け取る」「受け取らない」にしてください
  3. 項目名「ランクアップメール受信設定」の「設定」は不要ではないでしょうか?「メール受信設定」以外、設定項目に「設定」と入りません
  4. PC版「メール受信設定」や携帯版「ランクアップメール受信設定」のように、PCの項目にも説明をいれてはどうでしょう

上記を踏まえてこのようなUIを考えました

携帯版ランクアップメール受信設定について

  1. ktai_page_h_homeの設定変更の「ランクアップメール受信設定」は「日記コメントメール受信設定」の下に入れてください

11/27/08 21:29:33 changed by shingo

  • keywords changed from 差し戻し to 確認中.
  • ktai_do_h_member_config_update_rank_up_mail 不要なコメント・空行を削除: trunk - r9411
  • ktai_do_h_member_config_update_rank_up_mailにvalidateを編集: trunk - r9412
  • 「ランクアップメール受信設定」に統一の修正漏れを修正: trunk - r9413
  • 表示位置をメールに関するものはまとめて表示するように変更・背景色修正: trunk - r9415
  • 「PCメールアドレス」に統一: trunk - r9416
  • PC版ランクアップメール受信設定の表示について変更:trunk - r9418

11/27/08 21:45:21 changed by ogawa

  • keywords changed from 確認中 to 差し戻し.

webapp/modules/pc/templates/h_config.tpl

<input ... value="1" ({if $C_MEMBER_CONFIG.SEND_RANK_UP_MAIL_PC}) checked="checked"({/if}) />
<input ... value="0"({if !$C_MEMBER_CONFIG.SEND_RANK_UP_MAIL_PC}) checked="checked"({/if}) />

value="[01]" の後にスペースがあるかないかが違っています。value="0" の方に合わせるのがよいと思います。

11/27/08 21:53:53 changed by shingo

  • 不要な空白を削除:trunk - r9419

11/27/08 21:54:08 changed by shingo

  • keywords changed from 差し戻し to 確認中.

12/01/08 00:25:54 changed by ogawa

以下のリビジョンでtrunkに修正を加えています。

  • r9421, r9422 - ランクアップメールの送信部分を修正
  • r9423 - 携帯版ランクアップメール受信設定画面のデフォルト値を修正
  • r9424 - ランクアップメール受信設定画面の文言を修正

これ以前の修正の確認はまだすべて終わっていないので確認作業を続けます。

12/01/08 01:38:55 changed by ogawa

  • keywords changed from 確認中 to テスト待ち.

確認しました。テスト待ちにします。

12/09/08 10:25:21 changed by kiwa

  • keywords deleted.
  • status changed from new to closed.
  • resolution set to fixed.

05/25/09 13:49:30 changed by kudo

  • description changed.